Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.ml.prg.expvalue
Enum ValueType

    java.lang.Object
      java.lang.Enum<ValueType>
          org.encog.ml.prg.expvalue.ValueType

All Implemented Interfaces:
  Serializable, Comparable<ValueType>

    public enum ValueType

extends Enum<ValueType>

The type of value.

Enum Constant Summary
`booleanType` boolean
`enumType` Enumeration
`floatingType` Floating point.
`intType` Integer.
`stringType` String

Method Summary
`static ValueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### floatingType

    public static final ValueType floatingType

  Floating point.

### stringType

    public static final ValueType stringType

  String

### booleanType

    public static final ValueType booleanType

  boolean

### intType

    public static final ValueType intType

  Integer.

### enumType

    public static final ValueType enumType

  Enumeration

Method Detail

### values

    public static ValueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueType c : ValueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.